## fossil 0.2.0

=== DESCRIPTION ===
Package: fossil
Type: Package
Title: Palaeoecological and Palaeogeographical Analysis Tools
Version: 0.2.0
Date: 2008-09-08
Author: Matthew Vavrek <matthew.vavrek@gmail.com>
Maintainer: Matthew Vavrek <matthew.vavrek@gmail.com>
Depends: shapefiles
Suggests: maps
Description: A set of analytical tools useful in analysing ecological and geographical data sets, both ancient and modern. 
  The package includes functions for estimating species richness 
  (Chao 1 and 2, ACE, ICE, Jacknife), shared species/beta diversity, species area curves and geographic distances and areas.
License: GPL version 2 or newer
URL: http://redpath-staff.mcgill.ca/larsson/personalpages/matthew_vavrek/matthew_vavrek.htm
Packaged: Thu Sep 25 15:17:59 2008; matthew

## fossil 0.2.1

=== DESCRIPTION ===
Package: fossil
Type: Package
Title: Palaeoecological and Palaeogeographical Analysis Tools
Version: 0.2.1
Date: 2008-09-08
Author: Matthew Vavrek <matthew.vavrek@gmail.com>
Maintainer: Matthew Vavrek <matthew.vavrek@gmail.com>
Depends: shapefiles
Suggests: maps
Description: A set of analytical tools useful in analysing ecological
        and geographical data sets, both ancient and modern. The
        package includes functions for estimating species richness
        (Chao 1 and 2, ACE, ICE, Jacknife), shared species/beta
        diversity, species area curves and geographic distances and
        areas.
License: GPL (>= 2)
URL:
        http://redpath-staff.mcgill.ca/larsson/personalpages/matthew_vavrek/matthew_vavrek.htm
Packaged: Sun Apr 5 17:35:36 2009; matthew
Repository: CRAN
Date/Publication: 2009-04-14 17:30:00

## fossil 0.2.2

=== DESCRIPTION ===
Package: fossil
Type: Package
Title: Palaeoecological and Palaeogeographical Analysis Tools
Version: 0.2.2
Date: 2009-11-24
Author: Matthew Vavrek <matthew@matthewvavrek.com>
Maintainer: Matthew Vavrek <matthew@matthewvavrek.com>
Depends: shapefiles
Suggests: maps
Description: A set of analytical tools useful in analysing ecological
        and geographical data sets, both ancient and modern. The
        package includes functions for estimating species richness
        (Chao 1 and 2, ACE, ICE, Jacknife), shared species/beta
        diversity, species area curves and geographic distances and
        areas.
License: GPL (>= 2)
URL: http://matthewvavrek.com
Packaged: 2009-11-25 20:33:18 UTC; matthew
Repository: CRAN
Date/Publication: 2009-11-26 08:12:30

## fossil 0.2.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: fossil
 Type: Package
 Title: Palaeoecological and Palaeogeographical Analysis Tools
-Version: 0.2.2
+Version: 0.2.3
 Date: 2009-11-24
 Author: Matthew Vavrek <matthew@matthewvavrek.com>
 Maintainer: Matthew Vavrek <matthew@matthewvavrek.com>
@@ -15,6 +15,6 @@
         areas.
 License: GPL (>= 2)
 URL: http://matthewvavrek.com
-Packaged: 2009-11-25 20:33:18 UTC; matthew
+Packaged: 2009-12-12 06:05:08 UTC; matthew
 Repository: CRAN
-Date/Publication: 2009-11-26 08:12:30
+Date/Publication: 2009-12-13 09:46:32

## fossil 0.2.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Package: fossil
 Type: Package
 Title: Palaeoecological and Palaeogeographical Analysis Tools
-Version: 0.2.3
-Date: 2009-11-24
-Author: Matthew Vavrek <matthew@matthewvavrek.com>
+Version: 0.2.4
+Date: 2010-01-14
+Author: Matthew Vavrek <matthew@matthewvavrek.com> and Hans Larsson
 Maintainer: Matthew Vavrek <matthew@matthewvavrek.com>
 Depends: shapefiles
 Suggests: maps
@@ -15,6 +15,6 @@
         areas.
 License: GPL (>= 2)
 URL: http://matthewvavrek.com
-Packaged: 2009-12-12 06:05:08 UTC; matthew
+Packaged: 2010-01-15 06:41:14 UTC; matthew
 Repository: CRAN
-Date/Publication: 2009-12-13 09:46:32
+Date/Publication: 2010-01-15 08:49:47

## fossil 0.3.0

=== DESCRIPTION ===
Package: fossil
Type: Package
Title: Palaeoecological and Palaeogeographical Analysis Tools
Version: 0.3.0
Date: 2010-02-24
Author: Matthew Vavrek <matthew@matthewvavrek.com>
Maintainer: Matthew Vavrek <matthew@matthewvavrek.com>
Depends: sp
Suggests: maps, shapefiles
Description: A set of analytical tools useful in analysing ecological
        and geographical data sets, both ancient and modern. The
        package includes functions for estimating species richness
        (Chao 1 and 2, ACE, ICE, Jacknife), shared species/beta
        diversity, species area curves and geographic distances and
        areas.
License: GPL (>= 2)
URL: http://matthewvavrek.com
Packaged: 2010-05-22 04:23:18 UTC; matthew
Repository: CRAN
Date/Publication: 2010-05-22 06:36:00

## fossil 0.3.2

=== DESCRIPTION ===
Package: fossil
Type: Package
Title: Palaeoecological and Palaeogeographical Analysis Tools
Version: 0.3.2
Date: 2010-09-16
Author: Matthew Vavrek <matthew@matthewvavrek.com>
Maintainer: Matthew Vavrek <matthew@matthewvavrek.com>
Depends: sp, maps, shapefiles
Description: A set of analytical tools useful in analysing ecological
        and geographical data sets, both ancient and modern. The
        package includes functions for estimating species richness
        (Chao 1 and 2, ACE, ICE, Jacknife), shared species/beta
        diversity, species area curves and geographic distances and
        areas.
License: GPL (>= 2)
URL: http://matthewvavrek.com
Packaged: 2010-10-11 04:52:17 UTC; matthew
Repository: CRAN
Date/Publication: 2010-10-11 06:39:34

## fossil 0.3.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: fossil
 Type: Package
 Title: Palaeoecological and Palaeogeographical Analysis Tools
-Version: 0.3.2
-Date: 2010-09-16
+Version: 0.3.3
+Date: 2010-11-30
 Author: Matthew Vavrek <matthew@matthewvavrek.com>
 Maintainer: Matthew Vavrek <matthew@matthewvavrek.com>
 Depends: sp, maps, shapefiles
@@ -14,6 +14,6 @@
         areas.
 License: GPL (>= 2)
 URL: http://matthewvavrek.com
-Packaged: 2010-10-11 04:52:17 UTC; matthew
+Packaged: 2010-12-01 05:17:35 UTC; matthew
 Repository: CRAN
-Date/Publication: 2010-10-11 06:39:34
+Date/Publication: 2010-12-01 08:01:47

## fossil 0.3.5

=== DESCRIPTION ===
Package: fossil
Type: Package
Title: Palaeoecological and Palaeogeographical Analysis Tools
Version: 0.3.5
Date: 2011-08-11
Author: Matthew J. Vavrek <matthew@matthewvavrek.com>
Maintainer: Matthew J. Vavrek <matthew@matthewvavrek.com>
Depends: sp, maps
Suggests: shapefiles
Description: A set of analytical tools useful in analysing ecological
        and geographical data sets, both ancient and modern. The
        package includes functions for estimating species richness
        (Chao 1 and 2, ACE, ICE, Jacknife), shared species/beta
        diversity, species area curves and geographic distances and
        areas.
License: GPL (>= 2)
URL: http://matthewvavrek.com/programs-and-code/fossil/
Packaged: 2011-08-17 01:29:07 UTC; matthew
Repository: CRAN
Date/Publication: 2011-08-17 05:30:27

## fossil 0.3.7

=== DESCRIPTION ===
Package: fossil
Type: Package
Title: Palaeoecological and Palaeogeographical Analysis Tools
Version: 0.3.7
Date: 2012-03-29
Author: Matthew J. Vavrek <matthew@matthewvavrek.com>
Maintainer: Matthew J. Vavrek <matthew@matthewvavrek.com>
Depends: sp, maps, shapefiles
Description: A set of analytical tools useful in analysing ecological
        and geographical data sets, both ancient and modern. The
        package includes functions for estimating species richness
        (Chao 1 and 2, ACE, ICE, Jacknife), shared species/beta
        diversity, species area curves and geographic distances and
        areas.
License: GPL (>= 2)
URL: http://matthewvavrek.com/programs-and-code/fossil/
Packaged: 2012-03-30 06:18:50 UTC; matthew
Repository: CRAN
Date/Publication: 2012-03-30 07:54:11

## fossil 0.4.0

=== DESCRIPTION ===
Package: fossil
Type: Package
Title: Palaeoecological and Palaeogeographical Analysis Tools
Version: 0.4.0
Date: 2020-03-20
Author: Matthew J. Vavrek <matthew@matthewvavrek.com>
Maintainer: Matthew J. Vavrek <matthew@matthewvavrek.com>
Depends: sp, maps, shapefiles
Description: A set of analytical tools useful in analysing ecological and geographical data sets, both ancient and modern. The package includes functions for estimating species richness (Chao 1 and 2, ACE, ICE, Jacknife), shared species/beta diversity, species area curves and geographic distances and areas.
License: GPL (>= 2)
URL: http://matthewvavrek.com/programs-and-code/fossil/
NeedsCompilation: no
Packaged: 2020-03-22 23:31:07 UTC; matthew
Repository: CRAN
Date/Publication: 2020-03-23 11:30:05 UTC

## fossil 1.19

=== debian/changelog ===
fossil (1:1.19-1) unstable; urgency=low

  * Silence lintian debian-patch warning
  * Include upstream changelog in docs
  * New upstream version (aka version-1.19)
    - Has build option to use system sqlite3; use it
    - Make libsqlite3-dev build dependency unversioned
    - Update fossil(1) man page

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 05 Sep 2011 15:28:40 +0100

fossil (2011.05.28.185122-1) unstable; urgency=low

  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 05 Jun 2011 16:36:46 +0100

fossil (2011.05.23.151112-1) unstable; urgency=low

  * New upstream version
  * Bump debian standard version
  * Guard use of SQLITE_CONFIG_URI

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 30 May 2011 10:45:56 +0100

fossil (2011.05.12.145652-1) unstable; urgency=low

  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 15 May 2011 09:08:47 +0100

fossil (2011.04.13.120518-1) unstable; urgency=low

  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 14 Apr 2011 14:05:21 +0100

fossil (2011.03.16.111914-2) unstable; urgency=low

  * Be sure src/sqlite3.{c,h} stay deleted (debian/rules) (closes: #618714)

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 18 Mar 2011 11:39:26 +0000

fossil (2011.03.16.111914-1) unstable; urgency=low

  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 18 Mar 2011 10:20:20 +0000

fossil (2011.03.01.190432-1) unstable; urgency=low

  * New upstream version
  * sqlite3 recent functionality guards to allow version 3.7.3,
    and lower corresponding build dependency

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 02 Mar 2011 08:58:32 +0000

fossil (2011.02.08.125237-1) unstable; urgency=low

  * New upstream version
  * Guard some invocations that use new sqlite3 API (src/shell.c)

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 12 Feb 2011 16:58:57 +0000

fossil (2011.01.13.195528947-1) unstable; urgency=low

  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 20 Jan 2011 12:02:59 +0000

fossil (2011.01.01.030647-2) unstable; urgency=low

  * Update man page (debian/fossil.1)
  * add OBJDIR prefix to file.h targets in src/makemake.tcl (closes: #609365)

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 10 Jan 2011 12:37:28 +0000

fossil (2011.01.01.030647-1) unstable; urgency=low

  * New upstream version
  * Guard some invocations that use a very new sqlite3 API (src/db.c)

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 08 Jan 2011 22:47:10 +0000

fossil (2010.12.21.135605-1) unstable; urgency=low

  * New upstream version
  * Merge post-release changes to trunk to get test suite fix
  * Require libsqlite3 >= 3.7.4 and remove workaround for older versions

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 21 Dec 2010 22:00:43 -0500

fossil (2010.12.07.133137-1) unstable; urgency=low

  * New upstream version
  * Allow parallel debian builds with dh --parallel (debian/rules)

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 10 Dec 2010 12:48:17 +0000

fossil (2010.11.17.133825-1) unstable; urgency=low

  * New upstream version
  * Document need for "fossil set manifest on" (debian/README.Debian)
  * Work around new upstream use of new sqlite3_stmt_readonly()

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 19 Nov 2010 15:11:55 +0000

fossil (2010.11.11.133638-1) unstable; urgency=low

  * New upstream version
  * Upgrade to debhelper 8

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 11 Nov 2010 16:02:12 +0000

fossil (2010.11.10.014319-1) unstable; urgency=low

  * New upstream version
  * Silence gcc -Wall by casting output of sizeof() used in format %d

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 11 Nov 2010 11:06:35 +0000

fossil (2010.11.01.142335-1) unstable; urgency=low

  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 05 Nov 2010 11:55:48 +0000

fossil (2010.10.05.035549-1) unstable; urgency=low

  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 07 Oct 2010 09:27:20 +0100

fossil (2010.09.18.155143-1) unstable; urgency=low

  * Lower given debhelper build dependency version
  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 21 Sep 2010 14:48:31 +0100

fossil (2010.08.23.222416-1) unstable; urgency=low

  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 26 Aug 2010 09:47:06 +0200

fossil (2010.08.05.100943-1) unstable; urgency=low

  * New upstream version
  * Build dependency on sqlite >= 3.7.0 for sqlite3_wal_autocheckpoint
  * Rev deb policy

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 08 Aug 2010 22:42:33 +0200

fossil (2010.07.03.153359-1) unstable; urgency=low

  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 07 Jul 2010 16:26:49 +0100

fossil (2010.06.11.120259-1) unstable; urgency=low

  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 17 Jun 2010 20:38:50 +0200

fossil (2010.05.21.162104-1) unstable; urgency=low

  * move to dpkg-source format 3.0 (quilt)
  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 24 May 2010 10:56:25 +0100

fossil (2010.03.18.142033-1) unstable; urgency=low

  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 22 Mar 2010 09:35:07 +0000

fossil (2010.03.08.141844-1) unstable; urgency=low

  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 14 Mar 2010 19:52:49 +0000

fossil (2010.02.13.123048-1) unstable; urgency=low

  * New upstream version
  * rev deb policy

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 13 Feb 2010 21:11:34 +0000

fossil (2010.02.09.115701-2) unstable; urgency=low

  * build dependency on libssl-dev (oopie)

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 10 Feb 2010 00:05:13 +0000

fossil (2010.02.09.115701-1) unstable; urgency=low

  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 09 Feb 2010 23:47:31 +0000



=== debian/control ===
Source: fossil
Section: vcs
Priority: optional
Maintainer: Barak A. Pearlmutter <bap@debian.org>
Standards-Version: 3.9.2
Build-depends: debhelper (>= 8),
	       libsqlite3-dev,
	       tcl8.5 | tclsh,
	       zlib1g-dev | libz-dev,
	       libssl-dev
Vcs-Browser: http://fossil-scm.org
Homepage: http://fossil-scm.org

Package: fossil
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: gnupg | gnupg2
Description: DSCM with built-in wiki, http interface and server, tickets database
 Fossil is an easy-to-use Distributed Source Control Management system
 (DSCM) which supports access and administration over HTTP CGI or via
 a built-in HTTP server, has a built-in wiki, built-in file browsing,
 a built-in tickets system, etc.

## fossil 1.20

=== debian/changelog ===
fossil (1:1.20-2) unstable; urgency=low

  * Add build dependency on sqlite3 for /usr/bin/sqlite3, which is used
    during the build process only when building outside a live fossil
    repository.

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 25 Oct 2011 15:15:49 +0100

fossil (1:1.20-1) unstable; urgency=low

  * New upstream version (aka 2011.10.21.125253)

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 25 Oct 2011 12:51:50 +0100

## fossil 1.21

=== debian/changelog ===
fossil (1:1.21-1) unstable; urgency=low

  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 14 Dec 2011 17:42:10 +0000

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Standards-Version: 3.9.2
 Build-depends: debhelper (>= 8),
 	       libsqlite3-dev,
+	       sqlite3,
 	       tcl8.5 | tclsh,
 	       zlib1g-dev | libz-dev,
 	       libssl-dev

## fossil 1.22.1

=== debian/changelog ===
fossil (1:1.22.1-1) unstable; urgency=low

  * New upstream version
    - listed as "patch" to 1.22 fixing minor bug in the diff logic
    - therefore I call it 1.22.1
    - alternate upstream designation 2012.03.17.175325
  * Bump debian standard version
  * Bump to dh 9

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 29 Mar 2012 09:34:00 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: vcs
 Priority: optional
 Maintainer: Barak A. Pearlmutter <bap@debian.org>
-Standards-Version: 3.9.2
-Build-depends: debhelper (>= 8),
+Standards-Version: 3.9.3
+Build-depends: debhelper (>= 9),
 	       libsqlite3-dev,
 	       sqlite3,
 	       tcl8.5 | tclsh,

## fossil 1.22.1+dfsg

=== debian/changelog ===
fossil (1:1.22.1+dfsg-0.1) testing-proposed-updates; urgency=low

  * Non-maintainer upload with maintainer approval.
  * Upload to testing for wheezy.
  * Remove non-free src/cson_amalgamation.{c,h} from upstream tarball
    (closes: #692623, #692624).

 -- Ivo De Decker <ivo.dedecker@ugent.be>  Sat, 01 Dec 2012 12:44:37 +0100

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- --disable-internal-sqlite

override_dh_auto_install:

override_dh_installdocs:
	dh_installdocs
	mv debian/fossil/usr/share/doc/fossil/changes.wiki \
	   debian/fossil/usr/share/doc/fossil/changelog

## fossil 1.24+dfsg

=== debian/changelog ===
fossil (1:1.24+dfsg-0.1) unstable; urgency=low

  * Non-maintainer upload with maintainer approval.
  * Remove non-free src/cson_amalgamation.{c,h} from upstream tarball
    (closes: #692623, #692624).

 -- Ivo De Decker <ivo.dedecker@ugent.be>  Sat, 01 Dec 2012 15:14:55 +0100

fossil (1:1.24-1) unstable; urgency=low

  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 30 Oct 2012 15:27:34 +0000

fossil (1:1.23-1) unstable; urgency=low

  * New upstream version
    - alternate upstream designation 2012.08.08.112557

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 19 Aug 2012 11:57:49 +0100

## fossil 1.27

=== debian/changelog ===
fossil (1:1.27-2ubuntu1) trusty; urgency=low

  * Use autotools-dev for arm64.

 -- Daniel T Chen <crimsun@ubuntu.com>  Thu, 13 Feb 2014 12:25:25 -0500

fossil (1:1.27-2) unstable; urgency=low

  * Build dependency on tcl for tclsh thanks to
    Sergei Golovan <sgolovan@debian.org> (closes: #724987)

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 30 Sep 2013 12:46:31 +0100

fossil (1:1.27-1) unstable; urgency=low

  * New upstream version (Closes: #718812)
  * Include src/cson_amalgamation.{c,h} from upstream tarball: re-released
    under free license!
  * enable json in debian/rules

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 20 Sep 2013 09:45:17 +0100

fossil (1:1.26+dfsg-1) unstable; urgency=low

  * New upstream version (Closes: #718812)

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 14 Aug 2013 17:17:12 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: fossil
 Section: vcs
 Priority: optional
-Maintainer: Barak A. Pearlmutter <bap@debian.org>
-Standards-Version: 3.9.3
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Barak A. Pearlmutter <bap@debian.org>
+Standards-Version: 3.9.4
 Build-depends: debhelper (>= 9),
+	       autotools-dev,
 	       libsqlite3-dev,
 	       sqlite3,
-	       tcl8.5 | tclsh,
+	       tcl | tcl8.5 | tclsh,
 	       zlib1g-dev | libz-dev,
 	       libssl-dev
 Vcs-Browser: http://fossil-scm.org

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,9 @@
 #!/usr/bin/make -f
 %:
-	dh $@ --parallel
+	dh $@ --parallel --with autotools-dev
 
 override_dh_auto_configure:
-	dh_auto_configure -- --disable-internal-sqlite
+	dh_auto_configure -- --disable-internal-sqlite --json
 
 override_dh_auto_install:

=== debian/watch ===
version=3
http://www.fossil-scm.org/download.html \
 download/fossil-src-(\d\d\d\d)(\d\d)(\d\d)(.*).tar.gz

## fossil 1.29

=== debian/changelog ===
fossil (1:1.29-1) unstable; urgency=medium

  * New upstream version
  * debchange --newversion no longer needs --append (README.Debian)
  * disable dh_auto_test due to scary warning in src/main.mk target test

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 21 Jun 2014 21:32:47 +0200

fossil (1:1.28-2) unstable; urgency=medium

  [ Daniel T Chen ]
  * Use autotools-dev for arm64.

  [ Barak A. Pearlmutter ]
  * Merge ubuntu patch

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 07 Mar 2014 11:25:19 +0000

fossil (1:1.28-1) unstable; urgency=medium

  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 10 Feb 2014 13:13:44 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: fossil
 Section: vcs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Barak A. Pearlmutter <bap@debian.org>
-Standards-Version: 3.9.4
+Maintainer: Barak A. Pearlmutter <bap@debian.org>
+Standards-Version: 3.9.5
 Build-depends: debhelper (>= 9),
 	       autotools-dev,
 	       libsqlite3-dev,

## fossil 1.33

=== debian/changelog ===
fossil (1:1.33-3) unstable; urgency=medium

  * enable line editing via build dependency on libreadline-dev
  * enable fuse filesystem via build dependency on libfuse-dev

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 12 Jul 2015 00:37:27 +0100

fossil (1:1.33-2) unstable; urgency=medium

  * Patch to just warn about unknown configuration options (closes: #789291)

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 11 Jul 2015 21:59:48 +0100

fossil (1:1.33-1) unstable; urgency=medium

  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 10 Jul 2015 21:51:12 +0100

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,8 @@
 Standards-Version: 3.9.5
 Build-depends: debhelper (>= 9),
 	       autotools-dev,
+	       libreadline-dev,
+	       libfuse-dev,
 	       libsqlite3-dev,
 	       sqlite3,
 	       tcl | tcl8.5 | tclsh,

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,15 @@
 override_dh_auto_configure:
 	dh_auto_configure -- --disable-internal-sqlite --json
 
+# From src/main.mk:
+#
+# WARNING. DANGER. Running the test suite modifies the repository the
+# build is done from, i.e. the checkout belongs to. Do not sync/push
+# the repository after running the tests.
+
+override_dh_auto_test:
+	@echo skipping test due to scary warning in src/main.mk
+
 override_dh_auto_install:
 
 override_dh_installdocs:

=== debian/watch ===
version=3

# new version style
opts="downloadurlmangle=s:/download.html/:/:" \
https://www.fossil-scm.org/download.html \
 .*/fossil-src-(\d*\.\d*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## fossil 1.37

=== debian/changelog ===
fossil (1:1.37-1) unstable; urgency=medium

  * New upstream version
  * Bump to debhelper 10
  * Point to packaging repo in debian/control (closes: #638475)

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 18 Jan 2017 12:24:18 +0000

fossil (1:1.36-2) unstable; urgency=medium

  * Fix openssl https issue, thanks to Sergei Golovan <sgolovan@nes.ru>
    for the patch (closes: #847556)

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 12 Dec 2016 01:12:58 +0100

fossil (1:1.36-1) unstable; urgency=medium

  * New upstream version (closes: #828301)
  * Use upstream option to ignore unknown configuration options instead of
    patching the configuration script (closes: #840807)

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 11 Nov 2016 21:10:04 +0000

fossil (1:1.35-4) unstable; urgency=medium

  * dh --with bash-completion

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 18 Oct 2016 13:42:16 +0100

fossil (1:1.35-3) unstable; urgency=medium

  * flush unused local changes to autosetup/config.{sub,guess}
  * flush local changes to autosetup/autosetup, add
    unknown-option-ignoring-option to debian/rules
  * use dh_bash-completion

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 18 Oct 2016 00:37:06 +0100

fossil (1:1.35-2) unstable; urgency=medium

  * Acknowledge and merge NMU (thanks Osamu and Sergei!)
    - migrate debian/patches/ to fossil commits
    - changes to debian/rules:
      - Use upstream build and install script
      - Install upstream bash completion script
      - Hardening
    - fixed debian/copyright
    - changes to debian/control
      - add dependencies for enhanced functionality
      - tweak VCS fields for https
      - multi-arch
  * Re-enable parallel build
  * Fix some upstream spelling errors (thanks, lintian!)

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 10 Oct 2016 16:37:06 +0100

fossil (1:1.35-1.1) unstable; urgency=low

  [ Osamu Aoki ]
  * Non-maintainer upload.
  * New upstream release
  * Merge Sergei's patch with Multi-arch: foreign
  * Use upstream manpage
  * Update VCS-Browser to show the source tree but leave #638475
    since usually VCS-* are pointing to Debian packaging tree.
  * Fix d/copyright (closes: #840122)

  [ Sergei Golovan ]
  * enable TH1 for embedded documentation pages
  * enable TH1 hooks for commands and web pages
  * enable Tcl integration (closes: #808069)

 -- Osamu Aoki <osamu@debian.org>  Sun, 09 Oct 2016 15:41:58 +0900

=== debian/control ===
Source: fossil
Section: vcs
Priority: optional
Maintainer: Barak A. Pearlmutter <bap@debian.org>
Standards-Version: 3.9.8
Build-depends: autotools-dev,
               debhelper (>= 10),
               bash-completion,
               libfuse-dev,
               libreadline-dev,
               libsqlite3-dev,
               libssl-dev,
               sqlite3,
               tcl | tclsh,
               tcl-dev,
               zlib1g-dev | libz-dev
Vcs-Fossil: https://people.debian.org/~bap/fossil.fsl
Homepage: https://fossil-scm.org

Package: fossil
Architecture: any
Multi-Arch: foreign
Depends: libtcl8.6 | libtcl, ${misc:Depends}, ${shlibs:Depends}
Suggests: gnupg | gnupg2
Description: DSCM with built-in wiki, http interface and server, tickets database
 Fossil is an easy-to-use Distributed Source Control Management system
 (DSCM) which supports access and administration over HTTP CGI or via
 a built-in HTTP server, has a built-in wiki, built-in file browsing,
 a built-in tickets system, etc.

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,18 @@
 #!/usr/bin/make -f
+
+DEB_BUILD_MAINT_OPTIONS=hardening=+all
+export DEB_BUILD_MAINT_OPTIONS
+include /usr/share/dpkg/architecture.mk
+
 %:
-	dh $@ --parallel --with autotools-dev
+	dh $@ --with autotools-dev --with bash-completion
 
 override_dh_auto_configure:
-	dh_auto_configure -- --disable-internal-sqlite --json
+	dh_auto_configure -- --disable-option-checking \
+			     --disable-internal-sqlite --json \
+			     --with-th1-docs --with-th1-hooks \
+			     --with-tcl=/usr/lib/$(DEB_HOST_MULTIARCH) \
+			     --with-tcl-stubs
 
 # From src/main.mk:
 #
@@ -14,7 +23,7 @@
 override_dh_auto_test:
 	@echo skipping test due to scary warning in src/main.mk
 
-override_dh_auto_install:
+# Currently, test fails for json.  Needs to be investigated.
 
 override_dh_installdocs:
 	dh_installdocs

=== debian/watch ===
version=3

# opts="downloadurlmangle=s:/download.html/:/:" \
# https://www.fossil-scm.org/download.html \
#  .*/fossil-src-(\d*\.\d*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

opts="downloadurlmangle=s:/download.html/:/:" \
http://fossil-scm.org/index.html/uv/download.html \
 .*/fossil-src-(\d*\.\d*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## fossil 2.2

=== debian/changelog ===
fossil (1:2.2-1) unstable; urgency=medium

  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 02 May 2017 17:14:29 +0100

fossil (1:2.0-1) unstable; urgency=medium

  * New upstream version
  * Actually bump to debhelper 10

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 13 Mar 2017 14:01:54 +0000

=== debian/watch ===
version=4

# opts="downloadurlmangle=s:/download.html/:/:" \
# https://www.fossil-scm.org/download.html \
#  .*/fossil-src-(\d*\.\d*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

# opts="downloadurlmangle=s:/download.html/:/:" \
# http://fossil-scm.org/index.html/uv/download.html \
#  .*/fossil-src-(\d*\.\d*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

https://www.fossil-scm.org/fossil/uv/download.html \
 download/fossil-src-([\.\d]+)\.tar\.gz


# https://www.fossil-scm.org/fossil/uv/download/fossil-src-([\.\d]+)\.tar\.gz

#.*/fossil-src-(.*)\.tar\.gz

# .*/fossil-src-(\d*\.\d*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

#.*/fossil-src-2.0.tar.gz

## fossil 2.5

=== debian/changelog ===
fossil (1:2.5-1) unstable; urgency=medium

  * New upstream version
  * Forward port mods to upstream: spelling errors in comments.
  * Configuration option --with-tcl now requires argument, --with-tcl=1

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 14 Feb 2018 11:19:30 +0000

fossil (1:2.4-1) unstable; urgency=medium

  * New upstream version
  * Bump debian standards version
  * Use https URL for upstream pull in README.Debian
  * Repack upstream tarball to remove autosetup/jimsh0.c (closes: #882720)
  * ./configure --with-tcl-private-stubs or it won't compile dunno why
  * Correct some minor spelling errors
  * Repack upstream tarball to remove *.chm file
  * Remove redundant-in-dh10 autotools-dev materials

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 07 Dec 2017 10:41:26 +0000

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,8 @@
 Section: vcs
 Priority: optional
 Maintainer: Barak A. Pearlmutter <bap@debian.org>
-Standards-Version: 3.9.8
-Build-depends: autotools-dev,
-               debhelper (>= 10),
+Standards-Version: 4.1.3
+Build-depends: debhelper (>= 11),
                bash-completion,
                libfuse-dev,
                libreadline-dev,

## fossil 2.6

=== debian/changelog ===
fossil (1:2.6-1) unstable; urgency=medium

  * New upstream version
  * Requires sqlite3 >= 3.24.0

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 20 May 2018 23:05:47 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                bash-completion,
                libfuse-dev,
                libreadline-dev,
-               libsqlite3-dev,
+               libsqlite3-dev (>= 3.24),
                libssl-dev,
                sqlite3,
                tcl | tclsh,

## fossil 2.7

=== debian/changelog ===
fossil (1:2.7-1) unstable; urgency=medium

  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 01 Oct 2018 16:22:48 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: vcs
 Priority: optional
 Maintainer: Barak A. Pearlmutter <bap@debian.org>
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
 Build-depends: debhelper (>= 11),
                bash-completion,
                libfuse-dev,

## fossil 2.8

=== debian/changelog ===
fossil (1:2.8-1) unstable; urgency=medium

  * New upstream version
  * Bump to debhelper 12
  * Bump policy version
  * Bump build dependency sqlite3 version

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 22 Feb 2019 10:57:22 +0000

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: vcs
 Priority: optional
 Maintainer: Barak A. Pearlmutter <bap@debian.org>
-Standards-Version: 4.2.1
-Build-depends: debhelper (>= 11),
+Standards-Version: 4.3.0
+Build-depends: debhelper-compat (= 12),
                bash-completion,
                libfuse-dev,
                libreadline-dev,
-               libsqlite3-dev (>= 3.24),
+               libsqlite3-dev (>= 3.25),
                libssl-dev,
                sqlite3,
                tcl | tclsh,

=== debian/watch ===
version=4

# Example URL:
# https://www.fossil-scm.org/fossil/uv/fossil-src-2.4.tar.gz

https://www.fossil-scm.org/fossil/uvlist \
 .*/fossil-src-([\.\d]+)\.tar\.gz

## fossil 2.10

=== debian/changelog ===
fossil (1:2.10-1) unstable; urgency=medium

  * New upstream version
  * Bump policy version

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 07 Oct 2019 18:20:37 +0100

fossil (1:2.9-1) unstable; urgency=medium

  * New upstream version
  * Add cleaning and source-only goo to debian/README.Debian
  * Bump policy version

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 28 Aug 2019 11:36:06 +0100

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: vcs
 Priority: optional
 Maintainer: Barak A. Pearlmutter <bap@debian.org>
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Build-depends: debhelper-compat (= 12),
                bash-completion,
                libfuse-dev,
                libreadline-dev,
-               libsqlite3-dev (>= 3.25),
+               libsqlite3-dev (>= 3.28),
                libssl-dev,
                sqlite3,
                tcl | tclsh,

=== debian/rules ===
--- 
+++ 
@@ -5,14 +5,15 @@
 include /usr/share/dpkg/architecture.mk
 
 %:
-	dh $@ --with autotools-dev --with bash-completion
+	dh $@ --with bash-completion
 
 override_dh_auto_configure:
 	dh_auto_configure -- --disable-option-checking \
 			     --disable-internal-sqlite --json \
 			     --with-th1-docs --with-th1-hooks \
-			     --with-tcl=/usr/lib/$(DEB_HOST_MULTIARCH) \
-			     --with-tcl-stubs
+			     --with-tcl=1 \
+			     --with-tcl-stubs \
+			     --with-tcl-private-stubs
 
 # From src/main.mk:
 #

## fossil 2.12.1

=== debian/changelog ===
fossil (1:2.12.1-1) unstable; urgency=medium

  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 20 Aug 2020 17:22:52 +0100

fossil (1:2.11.1-1) unstable; urgency=medium

  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 11 Jun 2020 14:39:14 +0100

fossil (1:2.11-1) unstable; urgency=medium

  * New upstream version
  * Bump policy version
  * Bump to debhelper 13
  * Rules-Requires-Root: no

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 26 May 2020 19:33:25 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: vcs
 Priority: optional
 Maintainer: Barak A. Pearlmutter <bap@debian.org>
-Standards-Version: 4.4.1
-Build-depends: debhelper-compat (= 12),
+Standards-Version: 4.5.0
+Build-depends: debhelper-compat (= 13),
                bash-completion,
                libfuse-dev,
                libreadline-dev,
@@ -13,6 +13,7 @@
                tcl | tclsh,
                tcl-dev,
                zlib1g-dev | libz-dev
+Rules-Requires-Root: no
 Vcs-Fossil: https://people.debian.org/~bap/fossil.fsl
 Homepage: https://fossil-scm.org

## fossil 2.14

=== debian/changelog ===
fossil (1:2.14-1) unstable; urgency=medium

  * New upstream version
  * Bump policy
  * Bump SQLite dependency

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 24 Jan 2021 16:12:40 +0000

fossil (1:2.13-2) unstable; urgency=medium

  * Need SQLite 3.34 or later; there's an internal 3.34 prerelease in
    src/ but SQLite 3.34 is not actually released yet. This means we
    cannot use the system SQLite, must use the internal one. So, there is
    now code in debian/rules to check the version of the system SQLite and
    if it's not high enough compile against the internal one instead. Which
    uses pkg-config, requiring a build dependency.

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 11 Nov 2020 09:16:58 +0000

fossil (1:2.13-1) unstable; urgency=medium

  * New upstream version
  * Remove unused debian/copyright stanza
  * Correctly capitalize build dependency field name

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 09 Nov 2020 21:04:01 +0000

=== debian/rules ===
--- 
+++ 
@@ -7,9 +7,27 @@
 %:
 	dh $@ --with bash-completion
 
+## If system (i.e., external) sqlite has a high
+## enough version, then disable internal sqlite.
+
+## Here's how to find the minimal required version:
+# $ egrep -i 'sqlite.*at least' src/main.c
+#     fossil_panic("Unsuitable SQLite version %s, must be at least 3.34.0",
+
+SQLITE_MIN_VERSION=3.34
+FOSSIL_CONF_SQLITE_OPTIONS:=$(shell pkg-config sqlite3 --atleast-version=$(SQLITE_MIN_VERSION) && echo --disable-internal-sqlite)
+
+## This is an alternative method for checking sqlite version. Seems
+## less robust, as pkg-config is designed for this purpose.
+
+# dpkg --compare-versions \
+# 	$(shell dpkg --status libsqlite3-dev | egrep '^Version: ' | cut --field=2 --delimiter=' ') \
+# 	ge $(SQLITE_MIN_VERSION)
+
 override_dh_auto_configure:
 	dh_auto_configure -- --disable-option-checking \
-			     --disable-internal-sqlite --json \
+			     $(FOSSIL_CONF_SQLITE_OPTIONS) \
+			     --json \
 			     --with-th1-docs --with-th1-hooks \
 			     --with-tcl=1 \
 			     --with-tcl-stubs \

=== debian/watch ===
version=4

https://www.fossil-scm.org/@PACKAGE@/uvlist \
 .*/@PACKAGE@-src-@ANY_VERSION@@ARCHIVE_EXT@

## fossil 2.15.2

=== debian/changelog ===
fossil (1:2.15.2-1) unstable; urgency=high

  * New upstream version, announcement (expurgated) says:
    It has been found that *** in Fossil 2.15.1 and earlier was ... failing
    to ***. ... corrected in ... version 2.15.2 .... Upgrading ... recommended.

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 15 Jun 2021 10:55:20 +0100

fossil (1:2.15.1-1) unstable; urgency=medium

  * Secure stray URL in debian/README.Debian
  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 08 Apr 2021 11:05:34 +0100

fossil (1:2.15-3) unstable; urgency=medium

  * Add autopkgtest support scripts

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 06 Apr 2021 19:11:39 +0100

fossil (1:2.15-2) unstable; urgency=medium

  * Oops do not clean manifest as it is used in build

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 27 Mar 2021 08:50:52 +0000

fossil (1:2.15-1) unstable; urgency=medium

  * Enable build-time automatic testing
  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 26 Mar 2021 22:45:34 +0000

fossil (1:2.15~rc2-1) unstable; urgency=medium

  * Tell uscan how to mangle upstream RC releases
  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 22 Mar 2021 11:35:37 +0000

fossil (1:2.15~rc1-1) unstable; urgency=medium

  * New upstream version
    - fixes problem updating schemas on older repositories (closes: #985124)
    - does not run host tool on cross build (closes: #961772)
  * Use new ./configure --print-minimum-sqlite-version option

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 16 Mar 2021 21:13:47 +0000

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,13 @@
 Section: vcs
 Priority: optional
 Maintainer: Barak A. Pearlmutter <bap@debian.org>
-Standards-Version: 4.5.0
-Build-depends: debhelper-compat (= 13),
+Standards-Version: 4.5.1
+Build-Depends: debhelper-compat (= 13),
                bash-completion,
                libfuse-dev,
                libreadline-dev,
-               libsqlite3-dev (>= 3.28),
+               libsqlite3-dev (>= 3.34),
+	       pkg-config,
                libssl-dev,
                sqlite3,
                tcl | tclsh,

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_MAINT_OPTIONS=hardening=+all
export DEB_BUILD_MAINT_OPTIONS
include /usr/share/dpkg/architecture.mk

%:
	dh $@ --with bash-completion

## If system (external) sqlite has high enough version, disable internal sqlite.

SQLITE_MIN_VERSION=$(shell ./configure --print-minimum-sqlite-version | tail -1)
FOSSIL_CONF_SQLITE_OPTIONS:=$(shell pkg-config sqlite3 --atleast-version=$(SQLITE_MIN_VERSION) && echo --disable-internal-sqlite)

## This is an alternative method for checking sqlite version. Seems
## less robust, as pkg-config is designed for this purpose.

# dpkg --compare-versions \
# 	$(shell dpkg --status libsqlite3-dev | egrep '^Version: ' | cut --field=2 --delimiter=' ') \
# 	ge $(SQLITE_MIN_VERSION)

override_dh_auto_configure:
	dh_auto_configure -- --disable-option-checking \
			     $(FOSSIL_CONF_SQLITE_OPTIONS) \
			     --json \
			     --with-th1-docs --with-th1-hooks \
			     --with-tcl=1 \
			     --with-tcl-stubs \
			     --with-tcl-private-stubs

execute_after_dh_installdocs:
	mv debian/fossil/usr/share/doc/fossil/changes.wiki \
	   debian/fossil/usr/share/doc/fossil/changelog

=== debian/watch ===
version=4

# Upstream has release candidate versions like
#    2.15-rc2-20210320
# which needs to be normalized to
#    2.15~rc2

# Used to use this, but it got no hits ...
#  .*/@PACKAGE@-src-@ANY_VERSION@@ARCHIVE_EXT@
# So added the missing "-snapshot" with this,
#  .*/@PACKAGE@-src-snapshot-@ANY_VERSION@@ARCHIVE_EXT@
# But then it hits the correct "version" snapshot, but also a "date" snapshot,
#  https://fossil-scm.org/home/uv/fossil-src-snapshot-2.15.2.tar.gz
#  https://fossil-scm.org/home/uv/fossil-src-snapshot-20210615.tar.gz
# So, need to constrain the version to contain a '.'

opts="uversionmangle=s/-rc([\d]*)-[\d]*$/~rc\\1/" \
https://www.fossil-scm.org/@PACKAGE@/uvlist \
 .*/@PACKAGE@-src.*-([\d]+\.[\d]+.*)@ARCHIVE_EXT@

## fossil 2.18

=== debian/changelog ===
fossil (1:2.18-1ubuntu0.1) jammy-security; urgency=medium

  * SECURITY REGRESSION: break due to apache2 security update (LP: #2064509)
    - debian/patches/missing-content-length-fix-*.patch: Update HTTP reply
      parser to deal with a missing Content-Length header.

 -- Ian Constantin <ian.constantin@canonical.com>  Wed, 08 May 2024 14:47:22 +0300

fossil (1:2.18-1) unstable; urgency=medium

  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 23 Feb 2022 13:53:55 +0000

fossil (1:2.17-2) unstable; urgency=medium

  * Spelling patch
  * Bump sqlite dependency version

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 21 Feb 2022 21:23:39 +0000

fossil (1:2.17-1) unstable; urgency=medium

  * New upstream version
  * Bump policy

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 21 Feb 2022 16:32:06 +0000

fossil (1:2.16-3) unstable; urgency=medium

  * Point debian/watch at upstream-provided URL that works

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 06 Jul 2021 14:07:44 +0100

fossil (1:2.16-2) unstable; urgency=medium

  * Non-experimental release

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 05 Jul 2021 10:33:28 +0100

fossil (1:2.16-1) experimental; urgency=medium

  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 02 Jul 2021 16:29:18 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: fossil
 Section: vcs
 Priority: optional
-Maintainer: Barak A. Pearlmutter <bap@debian.org>
-Standards-Version: 4.5.1
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Barak A. Pearlmutter <bap@debian.org>
+Standards-Version: 4.6.0
 Build-Depends: debhelper-compat (= 13),
                bash-completion,
                libfuse-dev,
                libreadline-dev,
-               libsqlite3-dev (>= 3.34),
+               libsqlite3-dev (>= 3.35),
 	       pkg-config,
                libssl-dev,
                sqlite3,

## fossil 2.19

=== debian/changelog ===
fossil (1:2.19-1) unstable; urgency=medium

  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 21 Jul 2022 21:42:31 +0100

fossil (1:2.18-2) unstable; urgency=medium

  * Use internal sqlite3 due to JSON1 issue (closes: #1008354)

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 24 Apr 2022 10:17:47 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,14 @@
 Source: fossil
 Section: vcs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Barak A. Pearlmutter <bap@debian.org>
+Maintainer: Barak A. Pearlmutter <bap@debian.org>
 Standards-Version: 4.6.0
 Build-Depends: debhelper-compat (= 13),
                bash-completion,
                libfuse-dev,
                libreadline-dev,
-               libsqlite3-dev (>= 3.35),
 	       pkg-config,
                libssl-dev,
-               sqlite3,
                tcl | tclsh,
                tcl-dev,
                zlib1g-dev | libz-dev
